## ros-one-moveit-task-constructor-visualization 0.1.4-0jammy.20251027.2222

=== debian/changelog ===
ros-one-moveit-task-constructor-visualization (0.1.4-0jammy.20251027.2222) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 27 Oct 2025 22:22:56 +0000

ros-one-moveit-task-constructor-visualization (0.1.4-0jammy) jammy; urgency=high

  * Mandatory yaml dependency
  * Increase minimum required CMake version to 3.16 supported by Ubuntu 20.04
  * clang-format-14
  * clang-tidy fixes: use uint8_t enums
  * Simplify formatting code with https://github.com/fmtlib (#499 <https://github.com/moveit/moveit_task_constructor/issues/499>)
  * Drop Kinetic support
  * Fix discontinuity in trajectory (#485 <https://github.com/moveit/moveit_task_constructor/issues/485>)
  * Cleanup debug output
  * Add more debugging output
  * Hide button to show rviz-based task construction (#492 <https://github.com/moveit/moveit_task_constructor/issues/492>)
  * Fix Qt 5.15 deprecation warnings
  * Limit time to wait for execute_task_solution action server
  * Replace namespace robot_[model|state] with moveit::core
  * Use pluginlib consistently (#463 <https://github.com/moveit/moveit_task_constructor/issues/463>)
  * Contributors: Michael Görner, Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 15 Oct 2025 00:00:00 -0000

ros-one-moveit-task-constructor-visualization (0.1.3-0jammy) jammy; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 06 Mar 2023 00:00:00 -0000

ros-one-moveit-task-constructor-visualization (0.1.2-0jammy) jammy; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 24 Feb 2023 00:00:00 -0000

ros-one-moveit-task-constructor-visualization (0.1.1-0jammy) jammy; urgency=high

  * Remove unused eigen_conversions includes
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 15 Feb 2023 00:00:00 -0000

ros-one-moveit-task-constructor-visualization (0.1.0-0jammy) jammy; urgency=high

  * Initial release
  * Contributors: Robert Haschke, Michael Görner

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 02 Feb 2023 00:00:00 -0000

## ros-one-moveit-task-constructor-visualization 0.1.4-0noble.20251027.2301

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(moveit_task_constructor_visualization)

find_package(fmt REQUIRED)
find_package(catkin REQUIRED COMPONENTS
	moveit_core
	moveit_ros_visualization
	moveit_task_constructor_core
	moveit_task_constructor_msgs
	roscpp
	rviz
)

moveit_build_options()

# rviz transitively includes OGRE headers which break with `-Wall -Werror`
# so isolate these include dirs and add them as SYSTEM include where needed.
set(rviz_OGRE_INCLUDE_DIRS)
foreach(header IN ITEMS OgreRoot.h OgreOverlay.h)
	find_path(include_dir ${header}
		HINTS ${catkin_INCLUDE_DIRS}
		NO_DEFAULT_PATH)
	list(REMOVE_ITEM catkin_INCLUDE_DIRS "${include_dir}")
	list(APPEND rviz_OGRE_INCLUDE_DIRS "${include_dir}")
endforeach()

# definition needed for boost/math/constants/constants.hpp included by Ogre to compile
add_definitions(-DBOOST_MATH_DISABLE_FLOAT128)

# Qt Stuff
if("${rviz_QT_VERSION}" VERSION_LESS "5")
	find_package(Qt4 ${rviz_QT_VERSION} REQUIRED QtCore QtGui)
	include(${QT_USE_FILE})
	macro(qt_wrap_ui)
		qt4_wrap_ui(${ARGN})
	endmacro()
else()
	find_package(Qt5 ${rviz_QT_VERSION} REQUIRED Core Widgets)
	set(QT_LIBRARIES Qt5::Widgets)
	macro(qt_wrap_ui)
		qt5_wrap_ui(${ARGN})
	endmacro()
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
add_definitions(-DQT_NO_KEYWORDS)

catkin_package(
	LIBRARIES
		moveit_task_visualization_tools
		motion_planning_tasks_utils
	INCLUDE_DIRS
		visualization_tools/include
	CATKIN_DEPENDS
		moveit_core
		moveit_task_constructor_msgs
		roscpp
		rviz
)

add_subdirectory(visualization_tools)
add_subdirectory(motion_planning_tasks)

install(FILES
	motion_planning_tasks_rviz_plugin_description.xml
	DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY icons DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== motion_planning_tasks/CMakeLists.txt ===
add_subdirectory(utils)
add_subdirectory(properties)
add_subdirectory(src)
add_subdirectory(test)

=== visualization_tools/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_task_visualization_tools)

set(PROJECT_INCLUDE ${CMAKE_CURRENT_SOURCE_DIR}/include/moveit/visualization_tools)

set(HEADERS
	${PROJECT_INCLUDE}/display_solution.h
	${PROJECT_INCLUDE}/marker_visualization.h
	${PROJECT_INCLUDE}/task_solution_panel.h
	${PROJECT_INCLUDE}/task_solution_visualization.h
)

add_library(${MOVEIT_LIB_NAME}
	${HEADERS}

	src/display_solution.cpp
	src/marker_visualization.cpp
	src/task_solution_panel.cpp
	src/task_solution_visualization.cpp
)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")

target_link_libraries(${MOVEIT_LIB_NAME}
	${catkin_LIBRARIES}
	${rviz_DEFAULT_PLUGIN_LIBRARIES}
	${OGRE_LIBRARIES}
	${QT_LIBRARIES}
	${Boost_LIBRARIES}
	fmt::fmt
)
target_include_directories(${MOVEIT_LIB_NAME} PUBLIC include)
target_include_directories(${MOVEIT_LIB_NAME} SYSTEM
	PRIVATE ${catkin_INCLUDE_DIRS}
	PUBLIC ${rviz_OGRE_INCLUDE_DIRS}
)
add_dependencies(${MOVEIT_LIB_NAME} ${catkin_EXPORTED_TARGETS})

install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

install(TARGETS ${MOVEIT_LIB_NAME}
	ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== motion_planning_tasks/properties/CMakeLists.txt ===
set(MOVEIT_LIB_NAME motion_planning_tasks_properties)

set(SOURCES
	property_factory.cpp
	property_from_yaml.cpp
)

find_package(PkgConfig REQUIRED)
pkg_check_modules(YAML REQUIRED yaml-0.1)
# Only cmake > 3.12 provides XXX_LINK_LIBRARIES. Find the absolute path manually
find_library(YAML_LIBRARIES ${YAML_LIBRARIES} PATHS ${YAML_LIBRARY_DIRS})

add_library(${MOVEIT_LIB_NAME} SHARED ${SOURCES})

target_link_libraries(${MOVEIT_LIB_NAME} ${QT_LIBRARIES} ${YAML_LIBRARIES})
target_include_directories(${MOVEIT_LIB_NAME} PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..>)
target_include_directories(${MOVEIT_LIB_NAME} SYSTEM PRIVATE ${catkin_INCLUDE_DIRS} ${YAML_INCLUDE_DIRS})

install(TARGETS ${MOVEIT_LIB_NAME}
	ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== motion_planning_tasks/src/CMakeLists.txt ===
set(MOVEIT_LIB_NAME motion_planning_tasks_rviz_plugin)

qt_wrap_ui(UIC_FILES
	task_panel.ui
	task_view.ui
	global_settings.ui
)

add_library(${MOVEIT_LIB_NAME}
	factory_model.cpp
	icons.cpp
	job_queue.cpp
	local_task_model.cpp
	meta_task_list_model.cpp
	pluginlib_factory.h
	plugin_init.cpp
	remote_task_model.cpp
	task_display.cpp
	task_list_model.cpp
	task_panel.cpp
	task_panel_p.h

	${UIC_FILES}

	resources.qrc
)

set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME}
	motion_planning_tasks_utils motion_planning_tasks_properties moveit_task_visualization_tools
	${catkin_LIBRARIES} ${QT_LIBRARIES}
)
target_include_directories(${MOVEIT_LIB_NAME}
	PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..>
	PRIVATE $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
)
target_include_directories(${MOVEIT_LIB_NAME} SYSTEM PUBLIC
	# https://stackoverflow.com/questions/47175683/cmake-target-link-libraries-propagation-of-include-directories
	$<TARGET_PROPERTY:motion_planning_tasks_utils,INTERFACE_INCLUDE_DIRECTORIES>
	$<TARGET_PROPERTY:motion_planning_tasks_properties,INTERFACE_INCLUDE_DIRECTORIES>
	$<TARGET_PROPERTY:moveit_task_visualization_tools,INTERFACE_INCLUDE_DIRECTORIES>
	${catkin_INCLUDE_DIRS}
	${rviz_OGRE_INCLUDE_DIRS}
)

install(TARGETS ${MOVEIT_LIB_NAME}
	ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== motion_planning_tasks/test/CMakeLists.txt ===
#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
if (CATKIN_ENABLE_TESTING)
	find_package(rostest REQUIRED)

	catkin_add_gtest(${PROJECT_NAME}-test-merge-models test_merge_models.cpp)
	target_link_libraries(${PROJECT_NAME}-test-merge-models
		motion_planning_tasks_utils gtest_main)

	catkin_add_gmock(${PROJECT_NAME}-test-solution-models test_solution_models.cpp)
	target_link_libraries(${PROJECT_NAME}-test-solution-models
		motion_planning_tasks_rviz_plugin gtest_main)

	add_rostest_gtest(${PROJECT_NAME}-test-task_model test_task_model.launch test_task_model.cpp)
	target_link_libraries(${PROJECT_NAME}-test-task_model
		motion_planning_tasks_rviz_plugin ${catkin_LIBRARIES} gtest)
endif()

=== motion_planning_tasks/utils/CMakeLists.txt ===
set(MOVEIT_LIB_NAME motion_planning_tasks_utils)

set(SOURCES
	flat_merge_proxy_model.cpp
	tree_merge_proxy_model.cpp
	icon.cpp
)
add_library(${MOVEIT_LIB_NAME} SHARED ${SOURCES})

target_link_libraries(${MOVEIT_LIB_NAME} ${QT_LIBRARIES})
target_include_directories(${MOVEIT_LIB_NAME} PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..>)
target_include_directories(${MOVEIT_LIB_NAME} SYSTEM PRIVATE ${catkin_INCLUDE_DIRS})

install(TARGETS ${MOVEIT_LIB_NAME}
	ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== debian/changelog ===
ros-one-moveit-task-constructor-visualization (0.1.4-0noble.20251027.2301) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 27 Oct 2025 23:01:14 +0000

ros-one-moveit-task-constructor-visualization (0.1.4-0noble) noble; urgency=high

  * Mandatory yaml dependency
  * Increase minimum required CMake version to 3.16 supported by Ubuntu 20.04
  * clang-format-14
  * clang-tidy fixes: use uint8_t enums
  * Simplify formatting code with https://github.com/fmtlib (#499 <https://github.com/moveit/moveit_task_constructor/issues/499>)
  * Drop Kinetic support
  * Fix discontinuity in trajectory (#485 <https://github.com/moveit/moveit_task_constructor/issues/485>)
  * Cleanup debug output
  * Add more debugging output
  * Hide button to show rviz-based task construction (#492 <https://github.com/moveit/moveit_task_constructor/issues/492>)
  * Fix Qt 5.15 deprecation warnings
  * Limit time to wait for execute_task_solution action server
  * Replace namespace robot_[model|state] with moveit::core
  * Use pluginlib consistently (#463 <https://github.com/moveit/moveit_task_constructor/issues/463>)
  * Contributors: Michael Görner, Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 15 Oct 2025 00:00:00 -0000

ros-one-moveit-task-constructor-visualization (0.1.3-0noble) noble; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 06 Mar 2023 00:00:00 -0000

ros-one-moveit-task-constructor-visualization (0.1.2-0noble) noble; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 24 Feb 2023 00:00:00 -0000

ros-one-moveit-task-constructor-visualization (0.1.1-0noble) noble; urgency=high

  * Remove unused eigen_conversions includes
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 15 Feb 2023 00:00:00 -0000

ros-one-moveit-task-constructor-visualization (0.1.0-0noble) noble; urgency=high

  * Initial release
  * Contributors: Robert Haschke, Michael Görner

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 02 Feb 2023 00:00:00 -0000

=== debian/control ===
Source: ros-one-moveit-task-constructor-visualization
Section: misc
Priority: optional
Maintainer: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
Build-Depends: debhelper (>= 9.0.0), libfmt-dev, libyaml-dev, qtbase5-dev, ros-one-catkin, ros-one-moveit-core, ros-one-moveit-ros-visualization, ros-one-moveit-task-constructor-core, ros-one-moveit-task-constructor-msgs, ros-one-roscpp, ros-one-rviz
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-moveit-task-constructor-visualization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfmt-dev, libyaml-dev, ros-one-moveit-core, ros-one-moveit-ros-visualization, ros-one-moveit-task-constructor-core, ros-one-moveit-task-constructor-msgs, ros-one-roscpp, ros-one-rviz
Description: Visualization tools for MoveIt Task Pipeline

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-moveit-task-constructor-visualization//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-moveit-task-constructor-visualization 0.1.4-3jammy.20251213.2128

=== debian/changelog ===
ros-one-moveit-task-constructor-visualization (0.1.4-3jammy.20251213.2128) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 13 Dec 2025 21:28:01 +0000

## ros-one-moveit-task-constructor-visualization 0.1.4-3noble.20251213.2133

=== debian/changelog ===
ros-one-moveit-task-constructor-visualization (0.1.4-3noble.20251213.2133) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 13 Dec 2025 21:33:53 +0000

## ros-one-moveit-task-constructor-visualization 0.1.4-4jammy.20251216.0005

=== debian/changelog ===
ros-one-moveit-task-constructor-visualization (0.1.4-4jammy.20251216.0005) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Tue, 16 Dec 2025 00:05:42 +0000

## ros-one-moveit-task-constructor-visualization 0.1.4-4jammy.20260128.2348

=== debian/changelog ===
ros-one-moveit-task-constructor-visualization (0.1.4-4jammy.20260128.2348) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 28 Jan 2026 23:48:57 +0000

## ros-one-moveit-task-constructor-visualization 0.1.4-4jammy.20260302.2216

=== debian/changelog ===
ros-one-moveit-task-constructor-visualization (0.1.4-4jammy.20260302.2216) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 02 Mar 2026 22:16:32 +0000

## ros-one-moveit-task-constructor-visualization 0.1.4-4noble.20251216.0007

=== debian/changelog ===
ros-one-moveit-task-constructor-visualization (0.1.4-4noble.20251216.0007) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Tue, 16 Dec 2025 00:07:43 +0000

## ros-one-moveit-task-constructor-visualization 0.1.4-4noble.20260129.0007

=== debian/changelog ===
ros-one-moveit-task-constructor-visualization (0.1.4-4noble.20260129.0007) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 29 Jan 2026 00:07:31 +0000

## ros-one-moveit-task-constructor-visualization 0.1.4-4noble.20260302.2252

=== debian/changelog ===
ros-one-moveit-task-constructor-visualization (0.1.4-4noble.20260302.2252) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 02 Mar 2026 22:52:44 +0000
